SoSFBox3d(3)

NAME
SoSFBox3d - The SoSFBox3d class is a container for an SbBox3d vector.

SYNOPSIS

#include <Inventor/fields/SoSFBox3d.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFBox3d & operator= (const SoSFBox3d &field)
virtual SbBool isSame (const SoField &field) const
const SbBox3d & getValue (void) const
void setValue (const SbBox3d &newvalue)
const SbBox3d & operator= (const SbBox3d &newvalue)
int operator== (const SoSFBox3d &field) const
int operator!= (const SoSFBox3d &field) const
void setValue (double xmin, double ymin, double zmin, double xmax, double ymax, double zmax)
void setValue (const SbVec3d &minvec, const SbVec3d &maxvec)
void getValue (SbBox3d &box) const

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbBox3d value

  Additional Inherited Members

Detailed Description

The SoSFBox3d class is a container for an SbBox3d vector. This field is used where nodes, engines or other field containers need to store a box.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 2.5

Member Function Documentation

  void * SoSFBox3d::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFBox3d::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFBox3d::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFBox3d::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFBox3d::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFBox3d::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFBox3d::setValue (double xmin, double ymin, double zmin, double xmax, double ymax, double zmax)
Set value of vector.

  void SoSFBox3d::setValue (const SbVec3d & minvec, const SbVec3d & maxvec)
Set value of vector.

  void SoSFBox3d::getValue (SbBox3d & box) const
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.